Get API usage
GET /v1/public/usage
Returns request usage for the current rolling minute and 24-hour windows.
Authorization
X-API-Key required with the usage:read scope
Request example
curl -X GET "https://api.remyrewards.co.uk/v1/public/usage" \
-H "Accept: application/json" \
-H "X-API-Key: YOUR_API_KEY"Responses
| Status | Description |
|---|---|
200 | Usage retrieved. |
401 | The API key is missing or invalid. |
403 | The API key is valid but does not have the required scope. |
429 | A rate or concurrency limit was exceeded. |
Success response example
{
"success": true,
"data": {
"minute": {
"used": 12,
"limit": 120,
"remaining": 108
},
"day": {
"used": 340,
"limit": 10000,
"remaining": 9660,
"windowSeconds": 86400
},
"concurrencyLimit": 10,
"endpointLimits": {
"orderCreationsPerMinute": 60,
"voucherRedemptionsPerMinute": 60,
"voucherPdfsPerMinute": 10
},
"endpoints": [
{
"method": "GET",
"route": "/v1/public/customers",
"requests": 120,
"errors": 2,
"averageDurationMs": 34
}
]
}
}